FC_REMOVE_HOST(9)

NAME
fc_remove_host - called to terminate any fc_transport-related elements for a scsi host.

SYNOPSIS

void fc_remove_host(struct Scsi_Host * shost);

ARGUMENTS

shost
    Which Scsi_Host

DESCRIPTION

This routine is expected to be called immediately preceding the a driver's call to scsi_remove_host.

WARNING

A driver utilizing the fc_transport, which fails to call this routine prior to scsi_remove_host, will leave dangling objects in /sys/class/fc_remote_ports. Access to any of these objects can result in a system crash !!!

NOTES

This routine assumes no locks are held on entry.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT